Name: H5Gmove
Signature:
  herr_t `H5Gmove`(hid_t `loc_id`, const char `*src_name`, const char `*dst_name` )
Purpose:
  Renames an object within an HDF5 file.
Description:
  `H5Gmove` renames an object within an HDF5 file. The original name, `src_name`, is unlinked from the group graph and the new name, `dst_name`, is inserted as an atomic operation. Both names are interpreted relative to `loc_id`, which is either a file or a group identifier.
Warning:
  Exercise care in moving groups as it is possible to render data in a file inaccessible with `H5Gmove`. See The Group Interface in the HDF5 User's Guide.
Parameters:

hid_t `loc_id` | IN: File or group identifier.
const char `*src_name` | IN: Object's original name.
const char `*dst_name` | IN: Object's new name.

Returns:
  Returns a non-negative value if successful; otherwise returns a negative value.
Fortran90 Interface: h5gmove_f

      SUBROUTINE h5gmove_f(loc_id, name, new_name, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: loc_id     ! File or group identifier
        CHARACTER(LEN=*), INTENT(IN) :: name     ! Original name of an object
        CHARACTER(LEN=*), INTENT(IN) :: new_name ! New name of an object
        INTEGER, INTENT(OUT) :: hdferr           ! Error code
                                                 ! 0 on success and -1 on failure
      END SUBROUTINE h5gmove_f